HomeGuidesAPI Reference
API Reference

Apply RMA wizard to replace an existing appliance

Initiates the RMA process to replace an existing appliance with a discovered appliance. The wizard performs: license revocation, old appliance shutdown, database migration, optional software upgrade/downgrade, and optional configuration restore.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required
^\d+\.NE$

Network Element Primary Key - unique appliance identifier assigned by Orchestrator. Format: '.NE' (e.g., '0.NE', '10.NE').

Body Params

RMA wizard configuration containing existing appliance, discovered replacement appliance, optional backup, optional software image, and optional interface mapping.

Request body for applying the RMA wizard

existingAppliance
object
required

The existing appliance to be replaced

discoveredAppliance
object
required

The discovered appliance that will replace the existing one

backup
object

Optional backup to restore. Required for software downgrades.

selectedImage
object

Optional software image for upgrade/downgrade. For cloud orchestrator, use 'version' and 'imageId' keys.

interfaceMapping
object

Optional mapping of old interface names to new interface names

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized - authentication required

403

Forbidden - requires READ_WRITE role

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json